# turn on experimental options
%define enable_experimental 0
%{?_with_experimental: %global enable_experimental 1}


Summary:	The GNU program to play the game of Go
Name:		gnugo
Version:	3.4
Release:	6mdk
License:	GPL 
Group:		Games/Boards
Source0:	ftp://ftp.gnu.org/gnu/gnugo-%{version}.tar.bz2
Url:		http://www.gnu.org/software/gnugo/
#Buildrequires:	texinfo
Buildrequires:  autoconf2.5
BuildRequires:	ncurses-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Go is a game of strategy between two players usually played on a 
19x19 grid called goban. GNU Go plays a game of Go against the 
user. It has many other features: it can play against itself or 
another program, analyse and score a recorded game. GNU Go is 
compliant with Go Modem Protocol, and load / save games in the
Smart Go format.
GNU Go uses a simple alpha-numeric board display by default. If you
want to use a graphical interface with GNU Go, you'll also need 
to install other GUI clients, such as CGoban or Jago.

Build Options:
--with experimental      Turn on experimental options

%prep
%setup -q

%build
WANT_AUTOCONF_2_5=1 autoconf
%configure2_5x \
	--enable-color			\
	--with-curses			\
	--enable-resignation-allowed	\
%if %enable_experimental
	--enable-experimental-owl-ext	\
	--enable-oracle			\
%endif

%make

#cd doc 
#makeinfo --html gnugo.texi

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall
make check

mkdir -p  $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="gnugo" \
title="GNU Go chess" \
longtitle="Get more territory by circling around opponent pieces" \
icon="boards_section.png" \
needs="text" \
section="Amusement/Boards"
EOF
 

%post
%{update_menus}
%_install_info gnugo.info

%postun
%{clean_menus}
%_remove_install_info gnugo.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO 
%{_infodir}/*
%{_bindir}/*
%{_mandir}/man6/*
%{_menudir}/%{name}

%changelog
* Tue Sep 16 2003 Abel Cheung <deaddog@deaddog.org> 3.4-6mdk
- Fix menu typo
- Avoid turn on pattern reading option, it's dumping too much debug output

* Tue Sep 16 2003 Abel Cheung <deaddog@deaddog.org> 3.4-5mdk
- Fix menu section, it fits into board game better than strategy game
- Add missing buildrequires
- Why make html doc if it's not bundled?
- make check
- Optionally allow experimental build options

* Sun Sep 14 2003 Pascal Terjan <Cmoi@tuxfamily.org> 3.4-4mdk
- Buildrequires autoconf2.5 is the solution

* Wed Sep 10 2003 Pascal Terjan <Cmoi@tuxfamily.org> 3.4-3mdk
- this time is the right one for autoconf 2.5 :)

* Sun Sep 07 2003 Pascal Terjan <Cmoi@tuxfamily.org> 3.4-2mdk
- really use autoconf >= 2.5

* Sun Aug 31 2003 Pascal Terjan <Cmoi@tuxfamily.org> 3.4-1mdk
- 3.4
- Drop patch 

* Sun Aug 31 2003 Michael Scherer <scherer.michael@free.fr> 3.2-5mdk 
- really use autoconf >= 2.5

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 3.2-4mdk 
- BuildRequires autoconf >=2.5

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 3.2-3mdk
- fix compile ( patch #0 )
- menu macro
 
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2-2mdk
- buildrequires

* Fri May 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2-1mdk
- 3.2

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-2mdk
- Use default strategy icon for menu entry
- Allow application to be launched from menu entry
- Fix %%post and %%postun

* Tue Aug 28 2001 Yves Bailly <ybailly@mandrakesoft.com> 3.0.0-1mdk
- upgrade to 3.0.0, 4 stones stronger than 2.6
- now uses ncurses for text play

* Thu May 31 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.7.238-2mdk
- fix spec file (post-install-infos)

* Tue May 29 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.7.238-1mdk
- last release

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- macros
- BM
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- fix group
* Mon Apr  4 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- upgrade to 2.6
- new doc
- fix group
* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- small changes in description
* Thu Dec 23 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first mandrake rpm
- patch for known bugs of 2.4
